pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: pkgsrc/sysutils/coreutils



Module Name:    pkgsrc
Committed By:   wiz
Date:           Fri Sep 25 07:14:33 UTC 2026

Modified Files:
        pkgsrc/sysutils/coreutils: Makefile distinfo
        pkgsrc/sysutils/coreutils/patches: patch-src_tail.c
            patch-tests_date_date.pl
Added Files:
        pkgsrc/sysutils/coreutils/patches: patch-doc_coreutils.texi
            patch-src_env.c patch-src_printenv.c patch-tests_env_env.sh
            patch-tests_misc_printenv.sh

Log Message:
coreutils: add a post-release patch recommended by upstream.

Bump PKGREVISION.


To generate a diff of this commit:
cvs rdiff -u -r1.95 -r1.96 pkgsrc/sysutils/coreutils/Makefile
cvs rdiff -u -r1.54 -r1.55 pkgsrc/sysutils/coreutils/distinfo
cvs rdiff -u -r0 -r1.1 \
    pkgsrc/sysutils/coreutils/patches/patch-doc_coreutils.texi \
    pkgsrc/sysutils/coreutils/patches/patch-src_env.c \
    pkgsrc/sysutils/coreutils/patches/patch-src_printenv.c \
    pkgsrc/sysutils/coreutils/patches/patch-tests_env_env.sh \
    pkgsrc/sysutils/coreutils/patches/patch-tests_misc_printenv.sh
cvs rdiff -u -r1.1 -r1.2 pkgsrc/sysutils/coreutils/patches/patch-src_tail.c \
    pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Modified files:

Index: pkgsrc/sysutils/coreutils/Makefile
diff -u pkgsrc/sysutils/coreutils/Makefile:1.95 pkgsrc/sysutils/coreutils/Makefile:1.96
--- pkgsrc/sysutils/coreutils/Makefile:1.95     Thu Sep 24 21:40:52 2026
+++ pkgsrc/sysutils/coreutils/Makefile  Fri Sep 25 07:14:32 2026
@@ -1,8 +1,8 @@
-# $NetBSD: Makefile,v 1.95 2026/09/24 21:40:52 wiz Exp $
+# $NetBSD: Makefile,v 1.96 2026/09/25 07:14:32 wiz Exp $
 
 .include "../../sysutils/coreutils/Makefile.common"
 
-PKGREVISION=   1
+PKGREVISION=   2
 
 CONFLICTS=     fileutils-[0-9]* gnuls-[0-9]* linuxls-[0-9]* sh-utils-[0-9]* textutils-[0-9]*
 

Index: pkgsrc/sysutils/coreutils/distinfo
diff -u pkgsrc/sysutils/coreutils/distinfo:1.54 pkgsrc/sysutils/coreutils/distinfo:1.55
--- pkgsrc/sysutils/coreutils/distinfo:1.54     Thu Sep 24 21:40:52 2026
+++ pkgsrc/sysutils/coreutils/distinfo  Fri Sep 25 07:14:32 2026
@@ -1,8 +1,13 @@
-$NetBSD: distinfo,v 1.54 2026/09/24 21:40:52 wiz Exp $
+$NetBSD: distinfo,v 1.55 2026/09/25 07:14:32 wiz Exp $
 
 BLAKE2s (coreutils-9.12.tar.xz) = ee4915fff2d9eb4503f67069073ae39e0d91f010171a81379f218ea44ca0dbe6
 SHA512 (coreutils-9.12.tar.xz) = f25514cf02fd25365252d9a8f6fc5f8ed063fffdcb11c7eff380e3fa632741105d11b45ded332a2af5e913f77a143b68a2bd1fbdca0085e127fb17c80c35279b
 Size (coreutils-9.12.tar.xz) = 6704996 bytes
 SHA1 (patch-Makefile.in) = bc7f1e8ee125150996e828266ef115930642f9cc
-SHA1 (patch-src_tail.c) = 7506c029bb6b9ef5a81a8fa27646489a42927e24
-SHA1 (patch-tests_date_date.pl) = ba0e1f00bb3d687c20761d9d83e0465f43ff29ab
+SHA1 (patch-doc_coreutils.texi) = 9958a5389333261c902b77b6127f094ae8401a7e
+SHA1 (patch-src_env.c) = e140d82b24631049a296baefcc32e62ffb0cb82a
+SHA1 (patch-src_printenv.c) = 7ff8ec258a9d88efb92cd13b62178977512d5dff
+SHA1 (patch-src_tail.c) = ac8847f9c7b1e1cd91f6aef4b4df1712c1135f99
+SHA1 (patch-tests_date_date.pl) = cfe3be1f5862549e0bab98b4ae15e8724efbf602
+SHA1 (patch-tests_env_env.sh) = 8d0d956491bf0af3c92a7cd5ac1224d95e698d4e
+SHA1 (patch-tests_misc_printenv.sh) = 826403687a082769270d57db0c1ab73e50054d31

Index: pkgsrc/sysutils/coreutils/patches/patch-src_tail.c
diff -u pkgsrc/sysutils/coreutils/patches/patch-src_tail.c:1.1 pkgsrc/sysutils/coreutils/patches/patch-src_tail.c:1.2
--- pkgsrc/sysutils/coreutils/patches/patch-src_tail.c:1.1      Thu Sep 24 21:40:53 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-src_tail.c  Fri Sep 25 07:14:32 2026
@@ -1,4 +1,6 @@
-$NetBSD: patch-src_tail.c,v 1.1 2026/09/24 21:40:53 wiz Exp $
+$NetBSD: patch-src_tail.c,v 1.2 2026/09/25 07:14:32 wiz Exp $
+
+https://debbugs.gnu.org/cgi/bugreport.cgi?bug=81923
 
 --- src/tail.c.orig    2026-07-31 13:51:12.000000000 +0000
 +++ src/tail.c
Index: pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl
diff -u pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl:1.1 pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl:1.2
--- pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl:1.1      Thu Sep 24 21:40:53 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-tests_date_date.pl  Fri Sep 25 07:14:32 2026
@@ -1,4 +1,6 @@
-$NetBSD: patch-tests_date_date.pl,v 1.1 2026/09/24 21:40:53 wiz Exp $
+$NetBSD: patch-tests_date_date.pl,v 1.2 2026/09/25 07:14:32 wiz Exp $
+
+https://debbugs.gnu.org/cgi/bugreport.cgi?bug=81923
 
 --- tests/date/date.pl.orig    2026-09-01 21:37:43.000000000 +0000
 +++ tests/date/date.pl

Added files:

Index: pkgsrc/sysutils/coreutils/patches/patch-doc_coreutils.texi
diff -u /dev/null pkgsrc/sysutils/coreutils/patches/patch-doc_coreutils.texi:1.1
--- /dev/null   Fri Sep 25 07:14:33 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-doc_coreutils.texi  Fri Sep 25 07:14:32 2026
@@ -0,0 +1,46 @@
+$NetBSD: patch-doc_coreutils.texi,v 1.1 2026/09/25 07:14:32 wiz Exp $
+
+env,printenv: only quote when outputting to terminals
+To support albeit non-robust but existing use cases like:
+
+  env | grep SPARK_JAVA_OPT_ | sort -t_ -k4 -n |
+   sed 's/[^=]*=\(.*\)/\1/g' > java_opts.txt
+  readarray -t SPARK_EXECUTOR_JAVA_OPTS < java_opts.txt
+  ...
+  CMD=("${JAVA_HOME}/bin/java" "${SPARK_EXECUTOR_JAVA_OPTS[@]}" ...)
+
+https://github.com/coreutils/coreutils/commit/782a1e5bc2090212273bb731dceee2cc2a071e54
+
+--- doc/coreutils.texi.orig    2026-09-12 13:37:27.000000000 +0000
++++ doc/coreutils.texi
+@@ -15519,13 +15519,9 @@ The program accepts the following option.  Also see @r
+ 
+ @end table
+ 
+-If no @var{variable}s are specified, @command{printenv} quotes
++If standard output is a terminal @command{printenv} quotes
+ environment variables and their values using the @samp{shell-escape}
+-style.  If @var{variable}s are specified, @command{printenv} only quotes
+-their values using the @samp{shell-escape} style if standard output is a
+-terminal.
+-
+-The environment variable @env{QUOTING_STYLE}
++style by default. The environment variable @env{QUOTING_STYLE}
+ specifies the quoting style.  Valid quoting styles are:
+ @quotingStyles
+ 
+@@ -17497,10 +17493,10 @@ specifying the @command{printenv} program.
+ specifications, the resulting environment is printed.  This is like
+ specifying the @command{printenv} program.
+ 
+-The printed environment variables and their values are quoted using the
+-@samp{shell-escape} style.   The environment variable
+-@env{QUOTING_STYLE} specifies the quoting style.  Valid quoting styles
+-are:
++If standard output is a terminal, the printed environment variables
++and their values are quoted using the @samp{shell-escape} style by default.
++The environment variable @env{QUOTING_STYLE} specifies the quoting style.
++Valid quoting styles are:
+ @quotingStyles
+ 
+ For some examples, suppose the environment passed to @command{env}
Index: pkgsrc/sysutils/coreutils/patches/patch-src_env.c
diff -u /dev/null pkgsrc/sysutils/coreutils/patches/patch-src_env.c:1.1
--- /dev/null   Fri Sep 25 07:14:33 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-src_env.c   Fri Sep 25 07:14:32 2026
@@ -0,0 +1,24 @@
+$NetBSD: patch-src_env.c,v 1.1 2026/09/25 07:14:32 wiz Exp $
+
+env,printenv: only quote when outputting to terminals
+To support albeit non-robust but existing use cases like:
+
+  env | grep SPARK_JAVA_OPT_ | sort -t_ -k4 -n |
+   sed 's/[^=]*=\(.*\)/\1/g' > java_opts.txt
+  readarray -t SPARK_EXECUTOR_JAVA_OPTS < java_opts.txt
+  ...
+  CMD=("${JAVA_HOME}/bin/java" "${SPARK_EXECUTOR_JAVA_OPTS[@]}" ...)
+
+https://github.com/coreutils/coreutils/commit/782a1e5bc2090212273bb731dceee2cc2a071e54
+
+--- src/env.c.orig     2026-09-01 21:37:43.000000000 +0000
++++ src/env.c
+@@ -1113,7 +1113,7 @@ main (int argc, char **argv)
+ 
+   /* Get the value from QUOTING_STYLE before unsetting environment
+      variables.  */
+-  if (!opt_nul_terminate_output)
++  if (!opt_nul_terminate_output && isatty (STDOUT_FILENO))
+     {
+       int qs = getenv_quoting_style ();
+       if (qs < 0)
Index: pkgsrc/sysutils/coreutils/patches/patch-src_printenv.c
diff -u /dev/null pkgsrc/sysutils/coreutils/patches/patch-src_printenv.c:1.1
--- /dev/null   Fri Sep 25 07:14:33 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-src_printenv.c      Fri Sep 25 07:14:32 2026
@@ -0,0 +1,24 @@
+$NetBSD: patch-src_printenv.c,v 1.1 2026/09/25 07:14:32 wiz Exp $
+
+env,printenv: only quote when outputting to terminals
+To support albeit non-robust but existing use cases like:
+
+  env | grep SPARK_JAVA_OPT_ | sort -t_ -k4 -n |
+   sed 's/[^=]*=\(.*\)/\1/g' > java_opts.txt
+  readarray -t SPARK_EXECUTOR_JAVA_OPTS < java_opts.txt
+  ...
+  CMD=("${JAVA_HOME}/bin/java" "${SPARK_EXECUTOR_JAVA_OPTS[@]}" ...)
+
+https://github.com/coreutils/coreutils/commit/782a1e5bc2090212273bb731dceee2cc2a071e54
+
+--- src/printenv.c.orig        2026-09-01 21:37:43.000000000 +0000
++++ src/printenv.c
+@@ -113,7 +113,7 @@ main (int argc, char **argv)
+   bool quote_output = false;
+   idx_t const n_args = argc - optind;
+ 
+-  if (!opt_nul_terminate_output && (n_args <= 0 || isatty (STDOUT_FILENO)))
++  if (!opt_nul_terminate_output && isatty (STDOUT_FILENO))
+     {
+       int qs = getenv_quoting_style ();
+       if (qs < 0)
Index: pkgsrc/sysutils/coreutils/patches/patch-tests_env_env.sh
diff -u /dev/null pkgsrc/sysutils/coreutils/patches/patch-tests_env_env.sh:1.1
--- /dev/null   Fri Sep 25 07:14:33 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-tests_env_env.sh    Fri Sep 25 07:14:32 2026
@@ -0,0 +1,71 @@
+$NetBSD: patch-tests_env_env.sh,v 1.1 2026/09/25 07:14:32 wiz Exp $
+
+env,printenv: only quote when outputting to terminals
+To support albeit non-robust but existing use cases like:
+
+  env | grep SPARK_JAVA_OPT_ | sort -t_ -k4 -n |
+   sed 's/[^=]*=\(.*\)/\1/g' > java_opts.txt
+  readarray -t SPARK_EXECUTOR_JAVA_OPTS < java_opts.txt
+  ...
+  CMD=("${JAVA_HOME}/bin/java" "${SPARK_EXECUTOR_JAVA_OPTS[@]}" ...)
+
+https://github.com/coreutils/coreutils/commit/782a1e5bc2090212273bb731dceee2cc2a071e54
+
+--- tests/env/env.sh.orig      2026-09-10 13:23:26.000000000 +0000
++++ tests/env/env.sh
+@@ -91,18 +91,14 @@ compare exp out || fail=1
+ compare exp out || fail=1
+ 
+ # env shouldn't care what encoding name or value is
+-cat <<\EOF >exp || framework_failure_
+-NON_UTF8_TEST=''$'\240'
+-EOF
++printf 'NON_UTF8_TEST=\240\n' > exp || framework_failure_
+ env $(printf 'NON_UTF8_TEST=\240') env > all || fail=1
+ grep '^NON_UTF8_TEST' all | LC_ALL=C sort > out || framework_failure_
+ compare exp out || fail=1
+ 
+-cat <<\EOF >exp || framework_failure_
+-'NON_UTF8_TEST'$'\240'=1
+-EOF
++printf 'NON_UTF8_TEST\240=1\n' > exp || framework_failure_
+ env $(printf 'NON_UTF8_TEST\240=1') env > all || fail=1
+-grep "^'NON_UTF8_TEST" all | LC_ALL=C sort > out || framework_failure_
++grep "^NON_UTF8_TEST" all | LC_ALL=C sort > out || framework_failure_
+ compare exp out || fail=1
+ 
+ # PATH modifications affect exec.
+@@ -193,29 +189,16 @@ done
+ compare err_exp err || fail=1
+ done
+ 
+-# QUOTING_STYLE affects redirected output.
+-cat <<\EOF >exp-noargs-literal || framework_failure_
+-a b=c d
+-EOF
+-cat <<\EOF >exp-noargs-shell || framework_failure_
+-'a b'='c d'
+-EOF
+-tr "'" '"' <exp-noargs-shell >exp-noargs-c || framework_failure_
+-for qs in literal shell c; do
++# QUOTING_STYLE does not affect redirected output.
++printf '%s\n' 'a b=c d' > exp || framework_failure_
++for qs in literal shell-always invalid; do
+   env -i PATH="$PATH" QUOTING_STYLE=$qs 'a b'='c d' \
+     env >out-t 2>err || fail=1
+   grep -vE '^["'"'"']?'\
+ '(__CF_USER_TEXT_ENCODING|QUOTING_STYLE|(LD_ORIGIN_)?PATH)["'"'"']?=' \
+     out-t >out || framework_failure_
+-  compare exp-noargs-$qs out || fail=1
++  compare exp out || fail=1
+   compare /dev/null err || fail=1
+ done
+-
+-# Check the behavior with an invalid value for QUOTING_STYLE.
+-printf 'env: ignoring invalid value of environment variable %s\n' \
+-  "QUOTING_STYLE: 'invalid'" >exp || framework_failure_
+-env QUOTING_STYLE=invalid env >out 2>err || fail=1
+-grep '^QUOTING_STYLE=invalid$' out || fail=1
+-compare exp err || fail=1
+ 
+ Exit $fail
Index: pkgsrc/sysutils/coreutils/patches/patch-tests_misc_printenv.sh
diff -u /dev/null pkgsrc/sysutils/coreutils/patches/patch-tests_misc_printenv.sh:1.1
--- /dev/null   Fri Sep 25 07:14:33 2026
+++ pkgsrc/sysutils/coreutils/patches/patch-tests_misc_printenv.sh      Fri Sep 25 07:14:32 2026
@@ -0,0 +1,68 @@
+$NetBSD: patch-tests_misc_printenv.sh,v 1.1 2026/09/25 07:14:32 wiz Exp $
+
+env,printenv: only quote when outputting to terminals
+To support albeit non-robust but existing use cases like:
+
+  env | grep SPARK_JAVA_OPT_ | sort -t_ -k4 -n |
+   sed 's/[^=]*=\(.*\)/\1/g' > java_opts.txt
+  readarray -t SPARK_EXECUTOR_JAVA_OPTS < java_opts.txt
+  ...
+  CMD=("${JAVA_HOME}/bin/java" "${SPARK_EXECUTOR_JAVA_OPTS[@]}" ...)
+
+https://github.com/coreutils/coreutils/commit/782a1e5bc2090212273bb731dceee2cc2a071e54
+
+--- tests/misc/printenv.sh.orig        2026-09-11 07:23:57.000000000 +0000
++++ tests/misc/printenv.sh
+@@ -80,48 +80,16 @@ compare /dev/null out || fail=1
+ returns_ 1 env a=b=c printenv a=b > out || fail=1
+ compare /dev/null out || fail=1
+ 
+-# QUOTING_STYLE affects redirected output.
+-cat <<\EOF >exp-noargs-literal || framework_failure_
+-a b=c d
+-EOF
+-cat <<\EOF >exp-arg-literal || framework_failure_
+-c d
+-EOF
+-cat <<\EOF >exp-args-literal || framework_failure_
+-c d
+-c d
+-EOF
+-cat <<\EOF >exp-noargs-shell || framework_failure_
+-'a b'='c d'
+-EOF
+-cp exp-arg-literal exp-arg-shell &&
+-cp exp-args-literal exp-args-shell || framework_failure_
+-for t in noargs arg args; do
+-  tr "'" '"' <exp-$t-shell >exp-$t-c || framework_failure_
+-done
+-for qs in literal shell c; do
++# QUOTING_STYLE does not affect redirected output.
++printf '%s\n' 'a b=c d' > exp || framework_failure_
++for qs in literal shell-always invalid; do
+   env -i PATH="$PATH" QUOTING_STYLE=$qs 'a b'='c d' \
+     printenv >out-t 2>err || fail=1
+   grep -vE '^["'"'"']?'\
+ '(__CF_USER_TEXT_ENCODING|QUOTING_STYLE|(LD_ORIGIN_)?PATH)["'"'"']?=' \
+     out-t >out || framework_failure_
+-  compare exp-noargs-$qs out || fail=1
++  compare exp out || fail=1
+   compare /dev/null err || fail=1
+-  env -i PATH="$PATH" QUOTING_STYLE=$qs 'a b'='c d' \
+-    printenv 'a b' >out 2>err || fail=1
+-  compare exp-arg-$qs out || fail=1
+-  compare /dev/null err || fail=1
+-  env -i PATH="$PATH" QUOTING_STYLE=$qs 'a b'='c d' \
+-    printenv 'a b' 'a b' >out 2>err || fail=1
+-  compare exp-args-$qs out || fail=1
+-  compare /dev/null err || fail=1
+ done
+-
+-# Check the behavior with an invalid value for QUOTING_STYLE.
+-printf 'printenv: ignoring invalid value of environment variable %s\n' \
+-  "QUOTING_STYLE: 'invalid'" >exp || framework_failure_
+-env QUOTING_STYLE=invalid printenv >out 2>err || fail=1
+-grep '^QUOTING_STYLE=invalid$' out || fail=1
+-compare exp err || fail=1
+ 
+ Exit $fail



Home | Main Index | Thread Index | Old Index